TService (Apache CXF API 2.5.0 API)
Keywords: org.apache.cxf.wsdl.TService class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TService

    java.lang.Object
      org.apache.cxf.wsdl.TDocumented
          org.apache.cxf.wsdl.TExtensibleDocumented
              org.apache.cxf.wsdl.TService

    public class TService

extends TExtensibleDocumented

Java class for tService complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tService">
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/wsdl/}tExtensibleDocumented">
           <sequence>
             <element name="port" type="{http://schemas.xmlsoap.org/wsdl/}tPort" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" />
           <anyAttribute processContents='lax' namespace='##other'/>
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `name`
`protected List<TPort>` | `port`

Fields inherited from class org.apache.cxf.wsdl.TExtensibleDocumented
`any`

Fields inherited from class org.apache.cxf.wsdl.TDocumented
`documentation`

Constructor Summary
`TService()`

Method Summary
`String` | `getName()` Gets the value of the name property.
`List<TPort>` | `getPort()` Gets the value of the port property.
`boolean` | `isSetName()`
`boolean` | `isSetPort()`
`void` | `setName(String value)` Sets the value of the name property.
`void` | `unsetPort()`

Methods inherited from class org.apache.cxf.wsdl.TExtensibleDocumented
`getAny, getOtherAttributes, isSetAny, unsetAny`

Methods inherited from class org.apache.cxf.wsdl.TDocumented
`getDocumentation, isSetDocumentation, setDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### port

    protected List<TPort> port

### name

    protected String name

Constructor Detail

### TService

    public TService()

Method Detail

### getPort

    public List<TPort> getPort()

  Gets the value of the port property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the port property.

  For example, to add a new item, do as follows:

          getPort().add(newItem);

  Objects of the following type(s) are allowed in the list `TPort`

### isSetPort

    public boolean isSetPort()

### unsetPort

    public void unsetPort()

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isSetName

    public boolean isSetName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF